<?xml version="1.0" encoding="UTF-8"?>
<verify xmlns="http://gaellalire.fr/vestige/VERIFY" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://gaellalire.fr/vestige/VERIFY http://gaellalire.fr/vestige/verify-1.0.0.xsd">
  <attachment>
    <mavenResolver groupId="org.apache.tomcat" artifactId="tomcat-vestige-launcher" version="${project.version}"/>
  </attachment>
  <configurations>
    <mavenConfig>
      <!-- dependencies needed but not list as dependency -->
      <replaceDependency groupId="org.apache.tomcat" artifactId="tomcat-vestige-catalina-patched">
        <addDependency version="${tomcat.version}" groupId="org.apache.tomcat" artifactId="tomcat-catalina"/>
      </replaceDependency>
      <replaceDependency groupId="org.apache.tomcat" artifactId="tomcat-vestige-util-scan-patched">
        <addDependency version="${tomcat.version}" groupId="org.apache.tomcat" artifactId="tomcat-util-scan"/>
      </replaceDependency>
      <replaceDependency groupId="javax.websocket" artifactId="javax.websocket-api">
        <addDependency version="${tomcat.version}" groupId="org.apache.tomcat" artifactId="tomcat-websocket-api" />
      </replaceDependency>
      <modifyDependency artifactId="tomcat-catalina" groupId="org.apache.tomcat">
        <patch artifactId="tomcat-vestige-catalina" groupId="org.apache.tomcat" version="${project.version}"/>
        <addDependency groupId="org.apache.tomcat" artifactId="tomcat-websocket-api" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-coyote" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-jasper" groupId="org.apache.tomcat" version="${tomcat.version}"/>

        <addDependency artifactId="javax.websocket-api" groupId="javax.websocket" version="1.0"/>        
        <addDependency artifactId="tomcat-tribes" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-ssi" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        
        <!-- optional dependencies -->
        <addDependency artifactId="tomcat-catalina-ha" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-jdbc" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-dbcp" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-jdbc" groupId="org.apache.tomcat" version="${tomcat.version}"/>
        <addDependency artifactId="tomcat-storeconfig" groupId="org.apache.tomcat" version="${tomcat.version}"/>

      </modifyDependency>
      <modifyDependency artifactId="tomcat-tribes" groupId="org.apache.tomcat">
        <addDependency artifactId="tomcat-coyote" groupId="org.apache.tomcat" version="${tomcat.version}"/>
      </modifyDependency>
      <modifyDependency artifactId="tomcat-ssi" groupId="org.apache.tomcat">
        <addDependency artifactId="tomcat-catalina" groupId="org.apache.tomcat" version="${tomcat.version}"/>
      </modifyDependency>
      <modifyDependency artifactId="tomcat-jaspic-api" groupId="org.apache.tomcat">
        <addDependency artifactId="tomcat-catalina" groupId="org.apache.tomcat" version="${tomcat.version}"/>
      </modifyDependency>
      
      <modifyDependency artifactId="tomcat-coyote" groupId="org.apache.tomcat">
        <addDependency artifactId="tomcat-catalina" groupId="org.apache.tomcat" version="${tomcat.version}"/>
      </modifyDependency>
        <!-- util-scan load classes -->
      <modifyDependency artifactId="tomcat-util-scan" groupId="org.apache.tomcat">
        <patch artifactId="tomcat-vestige-util-scan" groupId="org.apache.tomcat" version="${project.version}"/>
        <addDependency artifactId="tomcat-coyote" groupId="org.apache.tomcat" version="${tomcat.version}"/>
      </modifyDependency>
      <!-- Constant is in tomcat-coyote -->
      <modifyDependency artifactId="tomcat-util" groupId="org.apache.tomcat">
        <addDependency artifactId="tomcat-coyote" groupId="org.apache.tomcat" version="${tomcat.version}"/>
      </modifyDependency>
      
      <additionalRepository id="gaellalire-repo" url="https://gaellalire.fr/maven/repository/"/>           
    </mavenConfig>
  </configurations>
</verify>
